<?php
/*
乘风下载管理系统
作者QQ：178575
作者Email：yliangcf@163.com
作者网站：http://www.qqcf.com
详细简介：http://www.qqcf.com/cfdown.htm
上面有程序在线演示，安装演示，使用疑难解答，最新版本下载等内容
因为这些内容可能时常更新，就没有放在程序里，请自己上网站查看
*/
?>
<?php 
$adddate=ChkStr($_GET["adddate"],3);
if ($adddate=="") die( "日期不能为空");

if($_GET["refurl"]=="")
$refurl=ChkStr($_SERVER["HTTP_REFERER"],1);
else
$refurl=ChkStr($_GET["refurl"],1);

$PageUrl="?action=$action&adddate=$adddate&refurl=".urlencode($refurl);
?>


<table class="tb_2">
<tr>
<td><span class="title">
日统计详细 日期:<?php echo($adddate);?>
</span>
<a href="<?php echo($refurl);?>" class="actionBtn">返回列表</a>
</td>
</tr>

</table>


<?php

$Sql="Select b.title,".chr(10);
$Sql=$Sql."a.infoid,".chr(10);
$Sql=$Sql."a.viewnum,".chr(10);
$Sql=$Sql."a.downnum,".chr(10);
$Sql=$Sql."a.searchbotnum ".chr(10);


$Sql=$Sql."From cfdown_count_day a inner join cfdown_info b on a.infoid=b.id Where b.username='$username'".chr(10);
$Sql=$Sql." And a.adddate='$adddate'";
$Sql=$Sql." Order By a.viewnum Desc";


$Result=mysql_query($Sql);
$TotalRs=mysql_num_rows($Result);
$PageSize=15;
$TotalPage=ceil($TotalRs/$PageSize);
$Page=isset($_GET["Page"])&&intval($_GET["Page"])>0?intval($_GET["Page"]):1;
$Offset=($Page-1)*$PageSize;
@mysql_data_seek($Result, $Offset);
?>

<table class="tb_1">

  <tr class="tr_1"> 
    <td>名称</td>
    <td>页面PV</td>
    <td>下载PV</td>
    <td>爬虫PV</td>
  </tr>
  <?php 
for ($i=0; $i <$PageSize ; $i++){
if ($Rs=mysql_fetch_assoc($Result)){
?>
  <tr> 
    <td><?php echo $Rs["title"];?>[<?php echo $Rs["infoid"];?>]</td>
    <td><?php echo $Rs["viewnum"];?></td>
    <td><?php echo $Rs["downnum"];?></td>
	<td><?php echo $Rs["searchbotnum"];?></td>
  </tr>
<?php 
}
}
?>
</table>

<?php
ShowPage($TotalRs,$TotalPage,$Page,$PageUrl,$Px)
?>

